%define _legacy_common_support 1

Name:		bk-terak-emu
Version:	2005.08.26
Release:	%mkrel 12
Summary:	BK0010, BK0011M and Terak Emulator
License:	BSD
Group:		Emulators
URL:		https://www.mailcom.com/bk0010/
Source0:	https://www.mailcom.com/bk0010/%{name}.%{version}.tar.gz
Source1:	%{name}-1.desktop
Source2:	%{name}-3.desktop
Source3:	User_ru.txt
Source4:	%{name}
Source5:	System_ru.txt
Patch0:		bk-terak-emu.2005.08.26-linuxsound.diff
Patch1:		bk-terak-emu.2005.08.26-str-fmt.patch
Patch2:		bk-terak-emu.2005.08.26-mga-traceflag.patch
BuildRequires:	pkgconfig(sdl)
BuildRequires:	gcc

%description
Emulator of Soviet-era home/educational computer BK0010,
its successor BK0011M and Terak.
BK0010, BK0011M and Terak Emulator by Leonid Broukhis.

%prep
%setup -q -n %{name}.%{version}
%autopatch -p1

cp -f %{SOURCE3} ./
cp -f %{SOURCE5} ./
mv -f README.html README_ru.html

sed -i \
  -e "s|/usr/lib/libSDL.so|\$\(LDFLAGS\) -lSDL|g" \
  -e "s|\(^CFLAGS =\).*|\1 %{optflags} -DSHIFTS_ALLOWED -DEIS_ALLOWED\nLDFLAGS = %{ldflags}|" \
  ./Makefile

%build
%make_build

%install
install -dm 0755 %{buildroot}%{_bindir}
install -m 0755 %{SOURCE4} %{buildroot}%{_bindir}/
install -m755 -D maketape %{buildroot}%{_bindir}/maketape
install -m755 -D readtape %{buildroot}%{_bindir}/readtape
install -dm 0755 %{buildroot}%{_datadir}/%{name}
install -Dm 0755 bk %{buildroot}%{_datadir}/%{name}
install -dm 0755 %{buildroot}%{_datadir}/pixmaps
install -dm 0755 %{buildroot}%{_datadir}/applications
install -m 0644 bk.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
cp -af ./Rom %{buildroot}%{_datadir}/%{name}/
install -m644 -D po/messages.mo %{buildroot}%{_datadir}/locale/ru/LC_MESSAGES/bk.mo
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/applications/
install -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/applications/

%find_lang bk

%files -f bk.lang
%doc *.txt README_ru.html
%{_bindir}/*
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*.desktop


%changelog
* Sat Nov 05 2022 danf <danf> 2005.08.26-12.mga9
+ Revision: 1903907
- Add traceflag.patch to fix build on aarch64
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Aug 19 2020 martinw <martinw> 2005.08.26-11.mga8
+ Revision: 1615860
- fix build with GCC 10

* Wed Feb 12 2020 umeabot <umeabot> 2005.08.26-10.mga8
+ Revision: 1510732
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 2005.08.26-9.mga7
+ Revision: 1295502
- Mageia 7 Mass Rebuild

* Mon Jun 18 2018 wally <wally> 2005.08.26-8.mga7
+ Revision: 1237873
- build using our compile flags
- add patch to fix str fmt

* Fri Mar 23 2018 kekepower <kekepower> 2005.08.26-7.mga7
+ Revision: 1211605
- Use new make macro

* Tue Feb 09 2016 umeabot <umeabot> 2005.08.26-6.mga6
+ Revision: 950990
- Mageia 6 Mass Rebuild

* Fri Nov 28 2014 alexl <alexl> 2005.08.26-5.mga5
+ Revision: 799772
- new more detailed desktop files

* Wed Oct 15 2014 umeabot <umeabot> 2005.08.26-4.mga5
+ Revision: 750882
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2005.08.26-3.mga5
+ Revision: 678167
- Mageia 5 Mass Rebuild

* Sun Jul 20 2014 alexl <alexl> 2005.08.26-2.mga5
+ Revision: 654824
- enabled sound (seems sound works now)

* Thu Apr 10 2014 alexl <alexl> 2005.08.26-1.mga5
+ Revision: 613327
- imported package bk-terak-emu

